memory_recommendation_generic(){
        echo "If your server exhausts available memory, some services will crash, the data loss is likely as well.
We recommend moving some websites to a different server, to split the load, or consulting with your developer regarding the optimization."
}

swap_recommendation_generic(){
                echo "The swap area is a virtual memory stored on your server disk to offload data from the physical memory, when the server is low on memory.
The high swap usage indicates that your server may run out of memory during peak loads.
We recommend moving some websites to a different server, to split the load, or consulting with your developer regarding the optimization.";
}

memory_recommendation_mysql_body(){
                echo "Most of the available memory is used by the MySQL service.
$(if [[ $innodb_vars ]]; then
        echo "It is possible to reduce the MySQL service memory usage, at the cost of higher CPU usage, by reducing the following values in the MySQL service configuration:
$innodb_vars";
fi;)";
}

memory_recommendation_mysql_optimization_unavailable_high_cpu_usage(){
        echo "Most of the available memory is used by the MySQL service.
Due to the high CPU utilization on your server, the MySQL service cannot be optimized.";
}

memory_recommendation_mysql_optimization_unavailable_minimal_innodb_vals(){
        echo "Most of the available memory is used by the MySQL service.
The innodb_buffer_pool_size and innodb_log_file_size variables minimum values have been reached, the MySQL service can no longer be optimized.";
}